Page MenuHomePhabricator

Allow moves from mediawiki.org to Commons
Closed, ResolvedPublic2 Story Points

Description

Motivation
For the deploy on group0 (which contains the test wikis and mediawiki.org), we let mediawiki.org copy files to test.wikipedia.org rather than Commons. Once FileImporter and FileExporter are deployed "in the real world" mediawiki.org should also be able to copy its files to Commons instead.

Acceptance Criteria

  • The link on mediawiki.org has the same title as wikipedias ("Export to Wikimedia Commons")
  • When files are copied with the FileExporter from mediawiki.org, they are copied to Wikimedia Commons

Event Timeline

Lea_WMDE created this task.Jun 13 2018, 7:28 AM
Lea_WMDE triaged this task as Normal priority.
Lea_WMDE moved this task from Backlog to Tickets ready for pickup on the Move-Files-To-Commons board.
WMDE-Fisch set the point value for this task to 2.Jun 19 2018, 8:40 AM
WMDE-Fisch claimed this task.

Change 441014 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[operations/mediawiki-config@master] Enable FileExpoter on ar-, de- and fa-wiki

https://gerrit.wikimedia.org/r/441014

Change 441014 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable FileExpoter on ar-, de- and fa-wiki

https://gerrit.wikimedia.org/r/441014

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-06-25T15:03:41Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:441014|Enable FileExpoter on ar-, de- and fa-wiki]] T196969 T197066 (duration: 00m 57s)

Vvjjkkii renamed this task from Allow moves from mediawiki.org to Commons to 94aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed WMDE-Fisch as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: WMDE-Fisch; removed: gerritbot, Aklapper.
CommunityTechBot set the point value for this task to 2.Jul 2 2018, 8:24 AM
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot assigned this task to WMDE-Fisch.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot renamed this task from 94aaaaaaaa to Allow moves from mediawiki.org to Commons.
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: WMDE-Fisch.
Lea_WMDE closed this task as Resolved.Jul 3 2018, 1:01 PM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2018-06-19 board.